Subject: Re: trying again wrt xemacs segfault
From: [email-masked] (Henry S. Thompson)
To: David Starks-Browning <[email-masked]>
Cc: [email-masked]
Date: 15 Jan 2002 12:02:24 +0000

David Starks-Browning <[email-masked]> writes:

> On  15 Jan 02, Henry S. Thompson writes:
> > Here's what I keep trying to say:
> > 
> > [I sent this to comp.emacs.xemacs a week ago, no replies]
> > 
> > I'm getting a segfault during fontification in xemacs
> > 21.4.6-built-for-cygwin, the binary (setup.exe) xemacs distribution, when
> > re_search_2 calls re_match_2_internal at offset 1016
> > 
> > I'm running cygwin 1.3.6-6.
> > 
> > This is the same fault I hit with 21.4.5.
> > 
> > Doesn't happen with 21.4.3.
> 
> Then perhaps it's a bug in xemacs, or a problem with the binary xemacs
> distribution?  Have you tried to build these versions of xemacs
> yourself?

It may well be an xemacs bug, although the regexp code doesn't appear
to have changed recently.  I haven't attempted the recompile, as I
assumed the people who built the xemacs-for-cygwin package were likely
to be better at it than I would be . . .

ht
-- 
  Henry S. Thompson, HCRC Language Technology Group, University of Edinburgh
          W3C Fellow 1999--2001, part-time member of W3C Team
     2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
	    Fax: (44) 131 650-4587, e-mail: [email-masked]
		     URL: http://www.ltg.ed.ac.uk/~ht/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/